-- This file is automatically generated, do not edit!
-- Path of Building
--
-- Minion Data
-- Monster data (c) Grinding Gear Games
--
local minions, mod = ...

minions["RaisedZombie"] = {
	name = "Raised Zombie",
	life = 3.75,
	armour = 0.7,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 1.65,
	damageSpread = 0.4,
	attackTime = 1.17,
	attackRange = 11,
	accuracy = 3.4,
	limit = "ActiveZombieLimit",
	skillList = {
		"Melee",
		"ZombieSlam",
	},
	modList = {
		mod("Armour", "INC", 40), -- MonsterImplicitDamageReduction1 [physical_damage_reduction_rating_+% = 40]
		-- RaiseZombieStunThreshold [stun_threshold_+% = 30]
	},
}

minions["SummonedChaosGolem"] = {
	name = "Chaos Golem",
	life = 4.8,
	energyShield = 0.2,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 60,
	damage = 2.9,
	damageSpread = 0.2,
	attackTime = 1,
	attackRange = 8,
	accuracy = 3.4,
	limit = "ActiveGolemLimit",
	skillList = {
		"Melee",
		"SandstormChaosElementalSummoned",
		"ChaosElementalCascadeSummoned",
	},
	modList = {
		-- MonsterNoDropsOrExperience [monster_no_drops_or_experience = 1]
	},
}

minions["SummonedFlameGolem"] = {
	name = "Flame Golem",
	life = 3.75,
	energyShield = 0.4,
	fireResist = 70,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 1.5,
	damageSpread = 0.2,
	attackTime = 1,
	attackRange = 6,
	accuracy = 3.4,
	damageFixup = 0.22,
	limit = "ActiveGolemLimit",
	skillList = {
		"FireElementalFlameRedSummoned",
		"FireElementalConeSummoned",
		"FireElementalMortarSummoned",
	},
	modList = {
		-- MonsterNoDropsOrExperience [monster_no_drops_or_experience = 1]
		-- MonsterSpeedAndDamageFixupLarge [monster_base_type_attack_cast_speed_+%_and_damage_-%_final = 22]
	},
}

minions["SummonedIceGolem"] = {
	name = "Ice Golem",
	life = 4.05,
	energyShield = 0.4,
	fireResist = 40,
	coldResist = 70,
	lightningResist = 40,
	chaosResist = 20,
	damage = 3.06,
	damageSpread = 0.2,
	attackTime = 0.85,
	attackRange = 6,
	accuracy = 3.4,
	limit = "ActiveGolemLimit",
	skillList = {
		"Melee",
		"IceElementalIceCyclone",
		"IceElementalSpearSummoned",
	},
	modList = {
		-- MonsterNoDropsOrExperience [monster_no_drops_or_experience = 1]
	},
}

minions["SummonedLightningGolem"] = {
	name = "Lightning Golem",
	life = 3.75,
	energyShield = 0.2,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 70,
	chaosResist = 20,
	damage = 1.5,
	damageSpread = 0.2,
	attackTime = 1.17,
	attackRange = 8,
	accuracy = 3.4,
	damageFixup = 0.22,
	limit = "ActiveGolemLimit",
	skillList = {
		"LightningGolemArcSummoned",
		"LightningGolemWrath",
		"MonsterProjectileSpellLightningGolemSummoned",
	},
	modList = {
		-- MonsterNoDropsOrExperience [monster_no_drops_or_experience = 1]
		-- MonsterSpeedAndDamageFixupLarge [monster_base_type_attack_cast_speed_+%_and_damage_-%_final = 22]
	},
}

minions["SummonedStoneGolem"] = {
	name = "Stone Golem",
	life = 5.25,
	armour = 0.6,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 2.7,
	damageSpread = 0.2,
	attackTime = 1,
	attackRange = 10,
	accuracy = 3.4,
	weaponType1 = "One Handed Sword",
	limit = "ActiveGolemLimit",
	skillList = {
		"Melee",
		"RockGolemSlam",
		"RockGolemWhirlingBlades",
	},
	modList = {
	},
}

minions["SummonedRagingSpirit"] = {
	name = "Raging Spirit",
	life = 1.8,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 1.02,
	damageSpread = 0.2,
	attackTime = 0.57,
	attackRange = 8,
	accuracy = 3.4,
	limit = "ActiveRagingSpiritLimit",
	skillList = {
		"Melee",
	},
	modList = {
		mod("PhysicalDamageConvertToFire", "BASE", 50), -- MonsterSummonedElementalFire [base_physical_damage_%_to_convert_to_fire = 50]
		mod("PhysicalMin", "BASE", 4, ModFlag.Attack), -- RagingSpiritAddedPhys [attack_minimum_added_physical_damage = 4] [attack_maximum_added_physical_damage = 5]
		mod("PhysicalMax", "BASE", 5, ModFlag.Attack), -- RagingSpiritAddedPhys [attack_minimum_added_physical_damage = 4] [attack_maximum_added_physical_damage = 5]
		-- CannotGainAfflictedMods [cannot_have_affliction_mods = 1]
		mod("Speed", "MORE", 40, ModFlag.Attack), -- MonsterSummonedSkullFastAttack1 [active_skill_attack_speed_+%_final = 40]
	},
}

minions["SummonedEssenceSpirit"] = {
	name = "Essence Spirit",
	life = 1.8,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 0.77,
	damageSpread = 0.2,
	attackTime = 0.57,
	attackRange = 8,
	accuracy = 3.4,
	skillList = {
		"RagingSpiritMeleeAttack",
		"SpectralSkullShieldCharge",
	},
	modList = {
		mod("Speed", "MORE", 40, ModFlag.Attack), -- MonsterSummonedSkullFastAttack1 [active_skill_attack_speed_+%_final = 40]
		mod("Condition:FullLife", "FLAG", true),
	},
}

minions["SummonedSpectralWolf"] = {
	name = "Spectral Wolf Companion",
	life = 4.5,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 1.5,
	damageSpread = 0.2,
	attackTime = 1,
	attackRange = 11,
	accuracy = 3.4,
	weaponType1 = "Dagger",
	limit = "ActiveWolfLimit",
	skillList = {
		"Melee",
	},
	modList = {
	},
}

minions["RaisedSkeleton"] = {
	name = "Summoned Skeleton",
	life = 1.05,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 2.45,
	damageSpread = 0.4,
	attackTime = 0.8,
	attackRange = 8,
	accuracy = 3.4,
	weaponType1 = "One Handed Sword",
	weaponType2 = "Shield",
	limit = "ActiveSkeletonLimit",
	skillList = {
		"Melee",
		"MonsterQuickDodgeRunUnarmed",
	},
	modList = {
		mod("BlockChance", "BASE", 30), -- MonsterAttackBlock30Bypass15 [monster_base_block_% = 30] [base_block_%_damage_taken = 15]
		-- SummonSkeletonsSkeletonIsWarrior [summoned_skeleton_is_warrior = 1]
	},
}

minions["RaisedSkeletonCaster"] = {
	name = "Summoned Skeleton Caster",
	life = 1.05,
	energyShield = 0.4,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 0.98,
	damageSpread = 0.3,
	attackTime = 1.07,
	attackRange = 46,
	accuracy = 3.4,
	limit = "ActiveSkeletonLimit",
	skillList = {
		"SkeletonMinionProjectileCold",
		"SkeletonMinionProjectileFire",
		"SkeletonMinionProjectileLightning",
	},
	modList = {
	},
}

minions["RaisedSkeletonArcher"] = {
	name = "Summoned Skeleton Archer",
	life = 1.05,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 0.98,
	damageSpread = 0.16,
	attackTime = 1.33,
	attackRange = 40,
	accuracy = 3.4,
	weaponType1 = "Bow",
	limit = "ActiveSkeletonLimit",
	skillList = {
		"Melee",
	},
	modList = {
	},
}

minions["Clone"] = {
	name = "Clone",
	life = 1,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 1,
	damageSpread = 0,
	attackTime = 0.83,
	attackRange = 6,
	accuracy = 3.4,
	skillList = {
		"Melee",
	},
	modList = {
		mod("EnergyShield", "BASE", 10), -- MirrorArrowEnergyShield [base_maximum_energy_shield = 10]
	},
}

minions["SpiderMinion"] = {
	name = "Spider Minion",
	life = 1.8,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 1.76,
	damageSpread = 0.2,
	attackTime = 0.96,
	attackRange = 7,
	accuracy = 3.4,
	weaponType1 = "One Handed Sword",
	limit = "ActiveSpiderLimit",
	skillList = {
		"SummonedSpiderViperStrike",
	},
	modList = {
		-- SummonedSpiderPhasing [phase_through_objects = 1] [suppress_phasing_visual = 1]
	},
}

minions["AnimatedWeapon"] = {
	name = "Animated Weapon",
	life = 4,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 0,
	damageSpread = 0,
	attackTime = 1,
	attackRange = 6,
	accuracy = 3.4,
	skillList = {
		"Melee",
	},
	modList = {
		-- EmergeSpeedLow [emerge_speed_+% = 100]
	},
}

minions["AnimatedArmour"] = {
	name = "Animated Guardian",
	life = 4.5,
	armour = 0.5,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 0,
	damageSpread = 0,
	attackTime = 1,
	attackRange = 6,
	accuracy = 3.4,
	skillList = {
		"Melee",
	},
	modList = {
		-- LabyrinthArrowTrapDamageTakenAnimateArmour [damage_taken_+%_from_arrow_traps_final = -90]
		mod("Speed", "MORE", 10, ModFlag.Attack, 0, { type = "Condition", var = "DualWielding" }),
		mod("BlockChance", "BASE", 15, 0, 0, { type = "Condition", var = "DualWielding" }),
	},
}

minions["IcyRagingSpirit"] = {
	name = "Grave Spirit",
	life = 3,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 2,
	damageSpread = 0.2,
	attackTime = 0.57,
	attackRange = 8,
	accuracy = 3.4,
	skillList = {
		"RagingSpiritMeleeAttack",
	},
	modList = {
		mod("PhysicalDamageConvertToCold", "BASE", 50), -- MonsterSummonedElementalCold [base_physical_damage_%_to_convert_to_cold = 50]
		-- MonsterCannotBeChainedFrom_ [cannot_be_chained_from = 1]
		mod("Speed", "MORE", 40, ModFlag.Attack), -- MonsterSummonedSkullFastAttack1 [active_skill_attack_speed_+%_final = 40]
	},
}

minions["UniqueAnimatedWeapon"] = {
	name = "Dancing Dervish",
	life = 4,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 0,
	damageSpread = 0,
	attackTime = 1,
	attackRange = 60,
	accuracy = 3.4,
	skillList = {
		"Melee",
		"DancingDervishCyclone",
	},
	modList = {
		-- UniqueAnimateWeaponAura [disable_weapons = 1] [has_onslaught = 1]
	},
}

minions["SummonedPhantasm"] = {
	name = "Summoned Phantasm",
	life = 1.58,
	energyShield = 0.2,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 1.1,
	damageSpread = 0.2,
	attackTime = 1.17,
	attackRange = 6,
	accuracy = 1,
	limit = "ActivePhantasmLimit",
	skillList = {
		"Melee",
		"SummonPhantasmFadingProjectile",
		"SummonPhantasmFadingProjectile2",
	},
	modList = {
	},
}

minions["HeraldOfAgonySpiderPlated"] = {
	name = "Agony Crawler",
	life = 1.5,
	fireResist = 0,
	coldResist = 0,
	lightningResist = 0,
	chaosResist = 0,
	damage = 1.5,
	damageSpread = 0.2,
	attackTime = 1.3,
	attackRange = 12,
	accuracy = 3.4,
	weaponType1 = "One Handed Sword",
	skillList = {
		"HeraldOfAgonyMinionMortar",
		"HeraldOfAgonyMinionTailSpike",
		"HeraldOfAgonyMinionCleave",
		"Melee",
	},
	modList = {
		mod("PhysicalDamageConvertToChaos", "BASE", 40), -- MonsterConvertToChaosHeraldOfAgony1 [base_physical_damage_%_to_convert_to_chaos = 40]
		-- MonsterCannotBeDamaged [cannot_be_damaged = 1]
		mod("Condition:FullLife", "FLAG", true),
	},
}

minions["AxisEliteSoldierHeraldOfLight"] = {
	name = "Sentinel of Purity",
	life = 5.6,
	armour = 0.5,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 2.66,
	damageSpread = 0.2,
	attackTime = 0.83,
	attackRange = 12,
	accuracy = 3.4,
	weaponType1 = "Staff",
	skillList = {
		"Melee",
		"HeraldOfLightMinionSlam",
		"ChampionTeleport",
		"SentinelHolySlam",
	},
	modList = {
	},
}

minions["HolyLivingRelic"] = {
	name = "Holy Relic",
	life = 6,
	energyShield = 0.6,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 1,
	damageSpread = 0,
	attackTime = 1,
	attackRange = 6,
	accuracy = 1,
	limit = "ActiveHolyRelicLimit",
	skillList = {
		"RelicTriggeredNova",
		"RelicTeleport",
	},
	modList = {
		-- EmergeSpeedHigh [emerge_speed_+% = 0]
	},
}

minions["AxisEliteSoldierDominatingBlow"] = {
	name = "Sentinel of Dominance",
	life = 4,
	armour = 0.5,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 2.8,
	damageSpread = 0.2,
	attackTime = 0.83,
	attackRange = 11,
	accuracy = 3.4,
	weaponType1 = "One Handed Mace",
	weaponType2 = "Shield",
	skillList = {
		"Melee",
		"DominatingBlowMinionCharge",
		"SentinelHolySlam",
	},
	modList = {
		-- MonsterCastsShieldChargeText [monster_casts_shield_charge_text = 1]
		mod("BlockChance", "BASE", 40), -- MonsterAttackBlock40Bypass20 [monster_base_block_% = 40] [base_block_%_damage_taken = 20]
	},
}

minions["RhoaUniqueSummoned"] = {
	name = "Summoned Rhoa",
	life = 7.5,
	armour = 0.2,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 3.42,
	damageSpread = 0.2,
	attackTime = 0.93,
	attackRange = 12,
	accuracy = 3.4,
	limit = "ActiveBeastMinionLimit",
	skillList = {
		"Melee",
		"SummonedRhoaShieldCharge",
	},
	modList = {
		mod("CannotBeEvaded", "FLAG", true), -- MonsterAlwaysHits [global_always_hit = 1]
		-- MonsterNearbyEnemiesAreIntimidated [is_intimidated = 1] [local_display_nearby_enemies_are_intimidated = 1]
	},
}

minions["SnakeSpitUniqueSummoned"] = {
	name = "Summoned Cobra",
	life = 7.5,
	armour = 0.15,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 2.55,
	damageSpread = 0.2,
	attackTime = 1.1,
	attackRange = 9,
	accuracy = 3.4,
	limit = "ActiveBeastMinionLimit",
	skillList = {
		"SummonedSnakeProjectile",
	},
	modList = {
		mod("PhysicalDamageConvertToChaos", "BASE", 30), -- MonsterSnakeChaos [base_physical_damage_%_to_convert_to_chaos = 30]
		mod("CannotBeEvaded", "FLAG", true), -- MonsterAlwaysHits [global_always_hit = 1]
	},
}

minions["DropBearUniqueSummoned"] = {
	name = "Summoned Ursa",
	life = 7.5,
	armour = 0.5,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 2.55,
	damageSpread = 0.2,
	attackTime = 1.1,
	attackRange = 6,
	accuracy = 3.4,
	weaponType1 = "One Handed Mace",
	limit = "ActiveBeastMinionLimit",
	skillList = {
		"Melee",
		"DropBearSummonedGroundSlam",
		"DropBearSummonedRallyingCry",
	},
	modList = {
		mod("CannotBeEvaded", "FLAG", true), -- MonsterAlwaysHits [global_always_hit = 1]
	},
}

minions["SummonedCarrionGolem"] = {
	name = "Carrion Golem",
	life = 3.75,
	energyShield = 0.4,
	fireResist = 40,
	coldResist = 40,
	lightningResist = 40,
	chaosResist = 20,
	damage = 0.68,
	damageSpread = 0.2,
	attackTime = 0.9,
	attackRange = 13,
	accuracy = 3.4,
	limit = "ActiveGolemLimit",
	skillList = {
		"BoneGolemMultiAttack",
		"BoneGolemCascade",
		"BoneGolemLeapSlam",
	},
	modList = {
		-- MonsterNoDropsOrExperience [monster_no_drops_or_experience = 1]
	},
}

minions["SkitterbotCold"] = {
	name = "Chilling Skitterbot",
	life = 1,
	fireResist = 0,
	coldResist = 0,
	lightningResist = 0,
	chaosResist = 0,
	damage = 1,
	damageSpread = 0,
	attackTime = 1,
	attackRange = 6,
	accuracy = 1,
	skillList = {
		"SkitterbotDetonateMines",
		"SkitterbotWait",
	},
	modList = {
		-- MonsterNoDropsOrExperience [monster_no_drops_or_experience = 1]
	},
}

minions["SkitterbotLightning"] = {
	name = "Shocking Skitterbot",
	life = 1,
	fireResist = 0,
	coldResist = 0,
	lightningResist = 0,
	chaosResist = 0,
	damage = 1,
	damageSpread = 0,
	attackTime = 1,
	attackRange = 6,
	accuracy = 1,
	skillList = {
		"SkitterbotDetonateMines",
		"SkitterbotWait",
	},
	modList = {
		-- MonsterNoDropsOrExperience [monster_no_drops_or_experience = 1]
	},
}
